#include "enemy.h"
#include "cpcrslib.h"
#include "randomfloor.h"
#include "pathfinding.h"
#include "music.h"

/*unsigned char CheckSmell(TEnemy *e, TPlayer *p)
{
	char i;
	for (i = 0; i < MAX_TRAIL_TILES*2; i+=2)
	{
		if (p->trail[i] == e->x && p->trail[i+1] == e->y)
			return (i+2);
	}

	return 0;
}*/
char CheckHear(TEnemy *e, TPlayer *p)
{
	unsigned char distance = absolute(e->x - p->x) + absolute(e->y - p->y);

	return (distance <= e->hearRadius && p->armor >= e->hearThreshold);
}
char CheckSight(TEnemy *e, TPlayer *p, char *pMap, char pMapWidth, TTile *pTileSet, char pOrientation)
{
	unsigned char x0;
	unsigned char y0;
	char dx;
	char sx;
	char dy;
	char sy;
	char err;
	char e2;


	if (pOrientation == 1 && ((e->direction == 0 && p->x <= e->x) || (e->direction == 64 && p->y <= e->y) || 
		(e->direction == 128 && p->x >= e->x) || (e->direction == 192 && p->y >= e->y)))
		return 0;

	x0 = p->x;
	y0 = p->y;

	dx = absolute(e->x-x0);
  	dy = absolute(e->y-y0);

  	if (dx + dy > e->sightRadius) return 0;

  	sx = x0<e->x ? 1 : -1;
  	sy = y0<e->y ? 1 : -1; 
  	err = (dx>dy ? dx : -dy)/2;
 
  	for(;;)
  	{ 
    	if (pTileSet[getBit(pMap, (y0 * pMapWidth + x0))].walkable == 0) return 0;
    	if (x0==e->x && y0==e->y) return 1;
    	e2 = err;
    	if (e2 >-dx) { err -= dy; x0 += sx; }
    	if (e2 < dy) { err += dx; y0 += sy; }
  	}
}

char Cornering(TEnemy *e, TPlayer *p, char *pMap, char pMapWidth, TTile *pTileSet)
{
	/*
    if ((!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x+1, p->y) && ((e->x == p->x-1 && e->y == p->y+1)|| (e->x == p->x-1 && e->y == p->y-1)))
    	|| (!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x-1, p->y) && ((e->x == p->x+1 && e->y == p->y+1) || (e->x == p->x+1 && e->y == p->y-1))))
    {
		return 1;
    }

    if ((!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y-1) && ((e->x == p->x-1 && e->y == p->y+1) || (e->x == p->x+1 && e->y == p->y+1)))
    	|| (!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y+1) && ((e->x == p->x-1 && e->y == p->y-1) || (e->x == p->x+1 && e->y == p->y-1))))
    {
		return 2; 
	}

    return 0;

    */

    if(((e->x == p->x-1 && e->y == p->y+1)|| (e->x == p->x-1 && e->y == p->y-1))
    	|| ((e->x == p->x+1 && e->y == p->y+1) || (e->x == p->x+1 && e->y == p->y-1)))
    {
    	/*
    	if(!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x-1, p->y) && !CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y-1))
    			return 2;
    	if(!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x-1, p->y) && !CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y+1))
    			return 2;
    	if(!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x+1, p->y) && !CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y-1))
    			return 1;
    	if(!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x+1, p->y) && !CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y+1))
    			return 1;
    	*/

		if ((!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x+1, p->y))
	    	|| (!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x-1, p->y)))
	    {

			return 1;
	    }

	    if ((!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y-1))
	    	|| (!CheckWalkableTile(pMap, pTileSet, pMapWidth, p->x, p->y+1)))
	    {
			return 2; 
		}
    }

    return 0;
}

char EnemyBlocking(TEnemy *e, TEnemy pEnemies[], char max_enemies, char x, char y)
{
	char blocking = 0;
	int i;
	TEnemy *temp;
	for(i = 0; i < max_enemies; i++)
	{	
		temp = &pEnemies[i];
		if(e != temp && (e->x + x == temp->x && e->y + y == temp->y))
		{
			blocking = 1;
		}
	}

	return blocking;
}

char ActionBasicEngage(char op, TEnemy *e, char dx, char dy, char *pMap, char pMapWidth, TTile *pTileSet, TEnemy pEnemies[], char max_enemies)
{
	char done = 0;

	switch(op){
		case 1: 
			if(dy < 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, 1) == 0) 
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y +1))
					e->currentAction = AI_MOVE_DOWN;
				done=1;
			}
			else if(dy > 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0) 
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y -1))
					e->currentAction = AI_MOVE_UP;
				done=1;
			}
			break;
		case 2:
			if(dx < 0 && EnemyBlocking(e,pEnemies, max_enemies, 1, 0) == 0)
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x +1,e->y))
					e->currentAction = AI_MOVE_RIGHT;
				done=1;
			}
			else if(dx > 0 && EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x -1,e->y))
					e->currentAction = AI_MOVE_LEFT;
				done=1;
			}
			break;
	}

	return done;	
}

void BasicEngage(TEnemy *e, TPlayer *p, char *pMap, char pMapWidth, TTile *pTileSet, TEnemy pEnemies[], char max_enemies)
{
	char dx = e->x - p->x;
	char dy = e->y - p->y;
	char op = 0;

	//El murciélago se mueve con poca precisión mientras esté lejos.
	if(e->type == MURCIELAGO && (dx < -2 || dx > 2 || dy < -2 || dy > 2)) 
	{
		dx+=cpc_Random() % dx;
		dy+=cpc_Random() % dy;
	}

	if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 0)
	{
		//PRIORIDAD DIRECCION SEGUN CASILLA
		if((e->x + e->y) % 2 == e->blocked) //PRIORIDAD VERTICAL
		{
			op = 1;
			if(!ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies))
			{
				op = 2;
				if(!ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies))
				{
					if(EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
						e->currentAction = AI_MOVE_LEFT;

					if(e->blocked == 0)
						e->blocked = 1;
					else
						e->blocked = 0;
				}
			}
		}
		else //PRIORIDAD HORIZONTAL
		{
			op = 2;

			if(!ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies))
			{
				op = 1;
				if(!ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies))
				{
					if(EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0)
						e->currentAction = AI_MOVE_UP;

					if(e->blocked == 0)
						e->blocked = 1;
					else 
						e->blocked = 0;
				}
			}
		}
	}
	else if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 1)
	{
		op = 1;
		ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies);
	}
	else if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 2)
	{
		op = 2;
		ActionBasicEngage(op,e,dx,dy,pMap,pMapWidth,pTileSet,pEnemies,max_enemies);
	}
}


/*void BasicEngage(TEnemy *e, TPlayer *p, char *pMap, char pMapWidth, TTile *pTileSet, TEnemy pEnemies[], char max_enemies)
{
	char dx = e->x - p->x;
	char dy = e->y - p->y;

	//El murciélago se mueve con poca precisión mientras esté lejos.
	if(e->type == MURCIELAGO && (dx < -2 || dx > 2 || dy < -2 || dy > 2)) 
	{
		dx+=cpc_Random() % dx;
		dy+=cpc_Random() % dy;
	}

	if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 0)
	{
		//PRIORIDAD DIRECCION SEGUN CASILLA
		if((e->x + e->y) % 2 == e->blocked) //PRIORIDAD VERTICAL
		{
			if(dy < 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, 1) == 0) 
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y +1))
					e->currentAction = AI_MOVE_DOWN;
			}
			else if(dy > 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0) 
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y -1))
					e->currentAction = AI_MOVE_UP;
			}
			else
			{
				if(dx < 0 && EnemyBlocking(e,pEnemies, max_enemies, 1, 0) == 0)
				{
					if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x +1,e->y))
						e->currentAction = AI_MOVE_RIGHT;
				}
				else if(dx > 0 && EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
				{
					if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x -1,e->y))
						e->currentAction = AI_MOVE_LEFT;
				}
				else
				{
					if(EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
						e->currentAction = AI_MOVE_LEFT;

					if(e->blocked == 0)
						e->blocked = 1;
					else
						e->blocked = 0;
				}
			}
		}
		else //PRIORIDAD HORIZONTAL
		{
			if(dx < 0 && EnemyBlocking(e,pEnemies, max_enemies, 1, 0) == 0)
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x +1,e->y))
					e->currentAction = AI_MOVE_RIGHT;
			}
			else if(dx > 0 && EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
			{
				if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x -1,e->y))
					e->currentAction = AI_MOVE_LEFT;
			}
			else
			{
				if(dy < 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, 1) == 0)
				{
					if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y +1))
						e->currentAction = AI_MOVE_DOWN;
				}
				else if(dy > 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0)
				{
					if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y -1))
						e->currentAction = AI_MOVE_UP;
				}
				else
				{
					if(EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0)
						e->currentAction = AI_MOVE_UP;

					if(e->blocked == 0)
						e->blocked = 1;
					else 
						e->blocked = 0;
				}
			}
		}
	}
	else if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 1)
	{
		if(dy < 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, 1) == 0)
		{
			if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y +1))
				e->currentAction = AI_MOVE_DOWN;
		}
		else if(dy > 0 && EnemyBlocking(e,pEnemies, max_enemies, 0, -1) == 0)
		{
			if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x,e->y -1))
				e->currentAction = AI_MOVE_UP;
		}
	}
	else if(Cornering(e,p,pMap,pMapWidth,pTileSet) == 2)
	{
		if(dx < 0 && EnemyBlocking(e,pEnemies, max_enemies, 1, 0) == 0)
		{
			if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x +1,e->y))
					e->currentAction = AI_MOVE_RIGHT;
		}
		else if(dx > 0 && EnemyBlocking(e,pEnemies, max_enemies, -1, 0) == 0)
		{
			if (e->type == MURCIELAGO || CheckWalkableTile(pMap,pTileSet,pMapWidth,e->x -1,e->y))
					e->currentAction = AI_MOVE_LEFT;
		}
	}
}*/

char IsInAttackRange(TEnemy *e,TPlayer *p)
{
	return  (absolute(e->x - p->x) == 1 && absolute(e->y - p->y) == 0)
				|| (absolute(e->x - p->x) == 0 && absolute(e->y - p->y) == 1);
}
void AttackReady(TEnemy *e, TPlayer *p)
{
	if (e->x < p->x)
		e->currentAction = AI_ATTACK_RIGHT;
	else if (e->y < p->y)
		e->currentAction = AI_ATTACK_DOWN;
	else if (e->x > p->x)
		e->currentAction = AI_ATTACK_LEFT;
	else
		e->currentAction = AI_ATTACK_UP;
}

unsigned char StrikeTarget(TEnemy *pEnemy)
{
	unsigned char damage = 0;

	//DAMAGE RANGE
	//CRITICAL HIT
	damage = cpc_Random() % (pEnemy->strengthMax - pEnemy->strengthMin + 1) + pEnemy->strengthMin;

	if((cpc_Random() % 100) <= pEnemy->critProb)
	{
		damage = damage * 2;
		PlayEffect(9);
	}
	else
		PlayEffect(10);

	return damage;

}

void CombatPlayer(TPlayer *pPlayer, TEnemy *pEnemy, char *pPaletteHit, char *pPaletteHW)
{
    float damage = StrikeTarget(pEnemy);

    damage = (char)(damage * DamageReduction(pPlayer->armor));

    if (pPlayer->health <= damage)
    {
        //GAME OVER
        pPlayer->alive = 0;
        pPlayer->health = 0;
    }
    else
        pPlayer->health -= damage;

    SetColors(pPaletteHit);
    Pause(20);
    SetColors(pPaletteHW);
}

void DrawMoco(TEnemy *pEnemy)
{
	if (pEnemy->moco.x != pEnemy->x || pEnemy->moco.y != pEnemy->y)
		cpc_PutMaskSp(pEnemy->moco.sprite, 8, 4, 0xC000 + 0x0050*(pEnemy->moco.y%20) + (pEnemy->moco.x%20)*0x0004);
}

void ThrowMoco(TEnemy *pEnemy, TPlayer *pPlayer)
{
	pEnemy->redraw = 1;
	switch(pEnemy->direction)
	{
		case 0: //DERECHA
			
			if((pEnemy->y - (pPlayer->x - pEnemy->x)) == pPlayer->y || pEnemy->y > pPlayer->y)//DIAGONAL NORESTE
			{
				pEnemy->moco.speedX = 1;
				pEnemy->moco.speedY = -1;
			}			
			else if((pEnemy->y - (pEnemy->x - pPlayer->x)) == pPlayer->y || pEnemy->y < pPlayer->y)//DIAGNONAL SURESTE
			{
				pEnemy->moco.speedX = 1;
				pEnemy->moco.speedY = 1;
			}
			else
			{
				pEnemy->moco.speedX = 1;
				pEnemy->moco.speedY = 0;
			}

			break;
		case 64: //ABAJO
			
			if((pEnemy->y + (pEnemy->x - pPlayer->x)) == pPlayer->y || pEnemy->x > pPlayer->x)//DIAGONAL SUROESTE
			{
				pEnemy->moco.speedX = -1;
				pEnemy->moco.speedY = 1;
			}			
			else if((pEnemy->y - (pEnemy->x - pPlayer->x)) == pPlayer->y || pEnemy->x < pPlayer->x)//DIAGNONAL SURESTE
			{
				pEnemy->moco.speedX = 1;
				pEnemy->moco.speedY = 1;
			}
			else //if(pEnemy->x == pPlayer->x)
			{
				pEnemy->moco.speedX = 0;
				pEnemy->moco.speedY = 1;
			}

			break;
		case 128: //IZQUIERDA
			
			if((pEnemy->y + (pPlayer->x - pEnemy->x)) == pPlayer->y || pEnemy->y > pPlayer->y)//DIAGONAL NOROESTE
			{
				pEnemy->moco.speedX = -1;
				pEnemy->moco.speedY = -1;
			}
			else if((pEnemy->y + (pEnemy->x - pPlayer->x)) == pPlayer->y || pEnemy->y < pPlayer->y)//DIAGONAL SUROESTE
			{
				pEnemy->moco.speedX = -1;
				pEnemy->moco.speedY = 1;
			}
			else //if(pEnemy->y == pPlayer->y)
			{
				pEnemy->moco.speedX = -1;
				pEnemy->moco.speedY = 0;
			}

			break;
		case 192: //ARRIBA
			
			if((pEnemy->y - (pPlayer->x - pEnemy->x)) == pPlayer->y || pEnemy->x < pPlayer->x)//DIAGONAL NORESTE
			{
				pEnemy->moco.speedX = 1;
				pEnemy->moco.speedY = -1;
			}			
			else if((pEnemy->y + (pPlayer->x - pEnemy->x)) == pPlayer->y || pEnemy->x > pPlayer->x)//DIAGONAL NOROESTE
			{
				pEnemy->moco.speedX = -1;
				pEnemy->moco.speedY = -1;
			}
			else //if(pEnemy->x == pPlayer->x)
			{
				pEnemy->moco.speedX = 0;
				pEnemy->moco.speedY = -1;
			}

			break; 
	}
}

void ExecuteAction(TEnemy *pEnemy, TPlayer *pPlayer, char *pPaletteHit, char *pPaletteHW)
{
	if (CheckSameRoom(pPlayer->x, pPlayer->y, pEnemy->x, pEnemy->y) == 1 && pEnemy->currentAction != AI_STAND_GROUND)
		MarkTile(pEnemy->x, pEnemy->y);

	if (pEnemy->currentAction != AI_STAND_GROUND)
		pEnemy->redraw = 1;

	switch (pEnemy->currentAction)
	{
		case AI_MOVE_RIGHT:
			pEnemy->x++;
			pEnemy->direction = 0;
			break;
		case AI_MOVE_DOWN:
			pEnemy->y++;
			pEnemy->direction = 64;
			break;
		case AI_MOVE_LEFT:
			pEnemy->x--;
			pEnemy->direction = 128;
			break;
		case AI_MOVE_UP:
			pEnemy->y--;
			pEnemy->direction = 192;
			break;
		case AI_ATTACK_RIGHT:
			pEnemy->direction = 0;
			CombatPlayer(pPlayer, pEnemy, pPaletteHit, pPaletteHW);
			break;
		case AI_ATTACK_DOWN:
			pEnemy->direction = 64;
			CombatPlayer(pPlayer, pEnemy, pPaletteHit, pPaletteHW);
			break;
		case AI_ATTACK_LEFT:
			pEnemy->direction = 128;
			CombatPlayer(pPlayer, pEnemy, pPaletteHit, pPaletteHW);
			break;
		case AI_ATTACK_UP:
			pEnemy->direction = 192;			
			CombatPlayer(pPlayer, pEnemy, pPaletteHit, pPaletteHW);
			break;
		case AI_STAND_GROUND:
			break;
	}	
}

void ExecuteStrategy(TEnemy *pEnemy, TPlayer *pPlayer, char *pMap, char pMapWidth, TTile *pTileSet, TEnemy pEnemies[], char max_enemies)
{
	unsigned int auxPos;

	switch (pEnemy->currentStrategy)
	{
		case ST_FLEE:
			// UPDATE CURRENT ACTION
			switch(pEnemy->type)
			{
				case ESQUELETO:
					break;

				case MURCIELAGO:
					
					//if(!CheckHear(pEnemy, pPlayer))
					if(!CheckWalkableTile(pMap,pTileSet,pMapWidth,pEnemy->x,pEnemy->y))
					{
						pEnemy->currentAction = AI_STAND_GROUND;
						pEnemy->currentStrategy = ST_PATROL;
					}
					else
					{
						switch(pEnemy->direction)
						{
							case 0:
								pEnemy->currentAction=AI_MOVE_RIGHT;
								break;
							case 64:
								pEnemy->currentAction=AI_MOVE_DOWN;
								break;							
							case 128:
								pEnemy->currentAction=AI_MOVE_LEFT;
								break;
							case 192:
								pEnemy->currentAction=AI_MOVE_UP;
								break;
						}
					}

					break;

				case TIRAMOCO:
					break;
			}

			break;
		case ST_ENGAGE:

			switch(pEnemy->type)
			{
				case ESQUELETO:
					// STRATEGY LOGIC
					pEnemy->currentAction = AI_STAND_GROUND;
					// TRANSITIONS
					if (!CheckSight(pEnemy, pPlayer, pMap, pMapWidth, pTileSet, 0))
					{
						auxPos = RandomPositionBound(pMap, pMapWidth, pMapWidth, pEnemy->x, pEnemy->y, 5, 10);
						PathFinding(pEnemy->x, pEnemy->y,auxPos % pMapWidth, auxPos / pMapWidth, pEnemy, pMap);
						pEnemy->currentPathNode = 2;
						pEnemy->pathDir = 2;
						pEnemy->currentStrategy = ST_PATROL;
					}
					else 
					{
						if(IsInAttackRange(pEnemy, pPlayer) == 1)
							AttackReady(pEnemy, pPlayer);
						// The skeleton might stop during the chase.
						else if (cpc_Random() % 100 >= CHASE_STOP_PROBABILITY)
							BasicEngage(pEnemy,pPlayer,pMap,pMapWidth,pTileSet,pEnemies,max_enemies);
					}

					break;
				
				case MURCIELAGO:

					pEnemy->currentAction = AI_STAND_GROUND;

					if(pEnemy->health<5)
					{
						pEnemy->direction = pPlayer->direction;
						pEnemy->currentStrategy = ST_FLEE;
					}
					else
					{
						if(!CheckHear(pEnemy, pPlayer) == 1)
							pEnemy->currentStrategy = ST_PATROL;
						else
						{
							if(IsInAttackRange(pEnemy, pPlayer) == 1)
								AttackReady(pEnemy, pPlayer);
							else 
								BasicEngage(pEnemy, pPlayer, pMap, pMapWidth, pTileSet, pEnemies, max_enemies);
						}
					}

					break;
				
				case TIRAMOCO:

					pEnemy->currentAction = AI_STAND_GROUND;
					if(!CheckSight(pEnemy, pPlayer, pMap, pMapWidth, pTileSet,1))
					{
						pEnemy->currentStrategy = ST_PATROL;
					}
					else
					{
						if(pEnemy->moco.range == 5)
							ThrowMoco(pEnemy,pPlayer);
					}

					break;
			}

			break;

		/*case ST_FOLLOW_SMELL:

			switch(pEnemy->type)
			{
				case ESQUELETO:
				// STRATEGY LOGIC
				i = CheckSmell(pEnemy, pPlayer);
				if (i == 0)
					pEnemy->currentAction = AI_STAND_GROUND;
				else
				{
					i = i % MAX_TRAIL_TILES;

					if (pPlayer->trail[i] < pEnemy->x)
						pEnemy->currentAction = AI_MOVE_LEFT;
					else if (pPlayer->trail[i] > pEnemy->x)
						pEnemy->currentAction = AI_MOVE_RIGHT;
					else if (pPlayer->trail[i+1] < pEnemy->y)
						pEnemy->currentAction = AI_MOVE_UP;
					else if (pPlayer->trail[i+1] > pEnemy->y)
						pEnemy->currentAction = AI_MOVE_DOWN;
				}
				// TRANSITIONS
				if (CheckSight(pEnemy, pPlayer, pMap, pMapWidth, pTileSet, 1) == 1)
					pEnemy->currentStrategy = ST_ENGAGE;
				else if (CheckSmell(pEnemy, pPlayer) == 0)
					pEnemy->currentStrategy = ST_PATROL;
				break;

				case MURCIELAGO:
				break;

				case TIRAMOCO:
				break;
			}

			break;*/

		case ST_PATROL:

			switch(pEnemy->type)
			{
				case ESQUELETO:
					// STRATEGY LOGIC
					if(pEnemy->pathNodes == 0)
						pEnemy->currentAction = AI_STAND_GROUND;
					else
					{
						if (pEnemy->path[pEnemy->currentPathNode] < pEnemy->x)
							pEnemy->currentAction = AI_MOVE_LEFT;
						else if (pEnemy->path[pEnemy->currentPathNode] > pEnemy->x)
							pEnemy->currentAction = AI_MOVE_RIGHT;
						else if (pEnemy->path[pEnemy->currentPathNode + 1] > pEnemy->y)
							pEnemy->currentAction = AI_MOVE_DOWN;
						else if (pEnemy->path[pEnemy->currentPathNode + 1] < pEnemy->y)
							pEnemy->currentAction = AI_MOVE_UP;
						else
							pEnemy->currentAction = AI_STAND_GROUND;

						if (pEnemy->currentPathNode == 0 || pEnemy->currentPathNode == pEnemy->pathNodes-2)
						{
							pEnemy->pathDir *= -1;
							pEnemy->currentPathNode += pEnemy->pathDir;
						}
						else
						{
							pEnemy->currentPathNode += pEnemy->pathDir;
						}
					}
					// TRANSITIONS
					if (CheckSight(pEnemy, pPlayer, pMap, pMapWidth, pTileSet, 1) == 1)
					{
						pEnemy->currentStrategy = ST_ENGAGE;
						PlayEffect(7);
					}
					else if(CheckHear(pEnemy, pPlayer) == 1)
					{
						pEnemy->currentStrategy = ST_ENGAGE;
						PlayEffect(8);						
					}
					/*else if (CheckSmell(pEnemy, pPlayer))
					{
						pEnemy->currentStrategy = ST_FOLLOW_SMELL;
						pEnemy->currentAction = AI_STAND_GROUND;
					}*/
					break;

				case MURCIELAGO:
					pEnemy->currentAction = AI_STAND_GROUND;

					if(pEnemy->health < 5)
						++pEnemy->health;
					else if(CheckHear(pEnemy, pPlayer) == 1)
					{
						pEnemy->currentStrategy = ST_ENGAGE;
						PlayEffect(8);
					}

					break;

				case TIRAMOCO:
				
					if(CheckSight(pEnemy, pPlayer, pMap, pMapWidth, pTileSet,1))
					{
						pEnemy->currentStrategy = ST_ENGAGE;
						PlayEffect(7);
					}

					++pEnemy->turn;
					if(pEnemy->turn == 4)
					{
						pEnemy->direction = (pEnemy->direction +64);

						if (CheckSameRoom(pEnemy->x, pEnemy->y, pPlayer->x, pPlayer->y) == 1)
							MarkTile(pEnemy->x, pEnemy->y);
						pEnemy->redraw = 1;
						pEnemy->turn = 0;
					}
					break;
			}

			break;
	}
}

void DrawEnemy(TEnemy *pEnemy)
{
	if (pEnemy->alive == 1)
		cpc_PutMaskSp(pEnemy->sprite + pEnemy->direction, 8, 4, 0xC000 + 0x0050*(pEnemy->y%20) + (pEnemy->x%20)*0x0004);
	else
		cpc_PutMaskSp(pEnemy->spriteDeath, 8, 4, 0xC000 + 0x0050*(pEnemy->y%20) + (pEnemy->x%20)*0x0004);
}