/// @file 		music.c
/// @author		CloseToMetal
/// @version	1.0
/// @date		13/10/2014
///
///	@section	License
///
/// The MIT License (MIT)
/// 
/// Copyright (c) 2014 CloseToMetal
/// 
/// Permission is hereby granted, free of charge, to any person obtaining a copy
/// of this software and associated documentation files (the "Software"), to deal
/// in the Software without restriction, including without limitation the rights
/// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
/// copies of the Software, and to permit persons to whom the Software is
/// furnished to do so, subject to the following conditions:
/// 
/// The above copyright notice and this permission notice shall be included in all
/// copies or substantial portions of the Software.
/// 
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
/// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
/// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
/// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
/// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
/// SOFTWARE.

#include "music.h"
#include "cpcwyzlib.h"

unsigned char playingMusic = 0;

void PlaySong(int* soundTable, int* ruleTable, int* effectTable, int* songTable){
	if (playingMusic)
		PauseMusic();
	
	cpc_WyzInitPlayer(soundTable, ruleTable, effectTable, songTable);
	cpc_WyzLoadSong(0);
	cpc_WyzSetPlayerOn();
	
	playingMusic = 1;
}

void PauseMusic(){
	if(playingMusic)
		cpc_WyzSetPlayerOff();
	
	playingMusic = 0;
}

/*void ContinueMusic(){
	if(!playingMusic)
		cpc_WyzSetPlayerOn();

	playingMusic = 1;
}*/

void PlayEffect(int effect){
	if ((cpc_WyzTestPlayer()&8)==0)
		cpc_WyzStartEffect(2, effect);
}