/// @file       sprites.h
/// @author     CloseToMetal
/// @version    1.0
/// @date       27/09/2014
///
/// @section    License
///
/// The MIT License (MIT)
/// 
/// Copyright (c) 2014 CloseToMetal
/// 
/// Permission is hereby granted, free of charge, to any person obtaining a copy
/// of this software and associated documentation files (the "Software"), to deal
/// in the Software without restriction, including without limitation the rights
/// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
/// copies of the Software, and to permit persons to whom the Software is
/// furnished to do so, subject to the following conditions:
/// 
/// The above copyright notice and this permission notice shall be included in all
/// copies or substantial portions of the Software.
/// 
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
/// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
/// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
/// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
/// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
/// SOFTWARE.

#ifndef _SPRITES_H_
#define _SPRITES_H_

extern const char mPalette[];
extern const char mPaletteHW[];
extern const char mPaletteHitHW[];
extern const char mPaletteStrikeHW[];
extern const char mPalettePotionHW[];

void data(void)
{
      __asm
            _mPalette:
                  .db #0x01, #0x18, #0x14, #0x06, #0x1A, #0x00, #0x02, #0x08
                  .db #0x0C, #0x0E, #0x09, #0x19, #0x04, #0x03, #0x0D, #0x16

            _mPaletteHW:
                  .db #0x04, #0x0A, #0x13, #0x0C, #0x0B, #0x14, #0x15, #0x0D
                  .db #0x1E, #0x1F, #0x16, #0x03, #0x18, #0x1C, #0x00, #0x19
            _mPaletteHitHW:
                  .db #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C
                  .db #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C, #0x1C
            _mPaletteStrikeHW:
                  .db #0x00, #0x00, #0x00, #0x00, #0x00, #0x00, #0x00, #0x00
                  .db #0x00, #0x00, #0x00, #0x00, #0x00, #0x00, #0x00, #0x00
            _mPalettePotionHW:
                  .db #0x12, #0x12, #0x12, #0x12, #0x12, #0x12, #0x12, #0x12
                  .db #0x12, #0x12, #0x12, #0x12, #0x12, #0x12, #0x12, #0x12
            
            _mHealthBarEmptySprite:
            ;BarraVidaNegra
            .db #0xF0
            .db #0xF0
            .db #0xF0
            .db #0xF0
            .db #0xF0
            .db #0xF0
            .db #0xF0
            .db #0xF0
            _mHealthBarSprite:
            ;BarraVidaRoja
            .db #0xCC
            .db #0xCC
            .db #0xCC
            .db #0xCC
            .db #0xCC
            .db #0xCC
            .db #0xCC
            .db #0xCC

            _mHuman:
                        ;HumanStart
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xAA, #0x50, #0x00, #0xC0, #0x00, #0xC0, #0xAA, #0x40
                  .db #0xAA, #0x50, #0x55, #0x80, #0x55, #0x80, #0xAA, #0x44
                  .db #0xAA, #0x40, #0x00, #0xC0, #0x00, #0xC0, #0xAA, #0x15
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0x00, #0x60
                  .db #0xAA, #0x40, #0x00, #0x3F, #0x00, #0x3F, #0xAA, #0x15
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0xFF, #0x00, #0xAA, #0x05, #0xFF, #0x00
                        ;HumanStartDown
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x55, #0xA0, #0xFF, #0x00
                  .db #0xAA, #0x50, #0x00, #0xC0, #0x00, #0xD0, #0xAA, #0x40
                  .db #0xAA, #0x40, #0xAA, #0x40, #0xAA, #0x40, #0xAA, #0x44
                  .db #0xAA, #0x40, #0x00, #0xC0, #0x00, #0xC0, #0xAA, #0x15
                  .db #0x00, #0x0F, #0x00, #0x0F, #0x00, #0x0F, #0x00, #0x4A
                  .db #0x00, #0x95, #0x00, #0x3F, #0x00, #0x3F, #0xAA, #0x15
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0xFF, #0x00, #0xAA, #0x05, #0xFF, #0x00
                        ;HumanStartLeft
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x00, #0xF0, #0xFF, #0x00
                  .db #0x55, #0x80, #0x00, #0xC0, #0x00, #0xC0, #0x55, #0xA0
                  .db #0x55, #0x88, #0xAA, #0x40, #0xAA, #0x40, #0x55, #0xA0
                  .db #0x55, #0x2A, #0x00, #0xC0, #0x00, #0xC0, #0x55, #0x80
                  .db #0x00, #0x85, #0x00, #0x0F, #0x00, #0x0F, #0x55, #0x0A
                  .db #0x55, #0x2A, #0x00, #0x3F, #0x00, #0x3F, #0x55, #0x80
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0x55, #0x0A
                  .db #0xFF, #0x00, #0x55, #0x0A, #0xFF, #0x00, #0x55, #0x0A
                        ;HumanStartUp
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x00, #0xF0, #0xFF, #0x00
                  .db #0x55, #0x80, #0x00, #0xF0, #0x00, #0xF0, #0x55, #0xA0
                  .db #0x55, #0x88, #0x00, #0xF0, #0x00, #0xF0, #0x55, #0xA0
                  .db #0x55, #0x2A, #0x00, #0xC0, #0x00, #0xC0, #0x55, #0x80
                  .db #0x00, #0x85, #0x00, #0x0F, #0x00, #0x0F, #0x55, #0x0A
                  .db #0x55, #0x2A, #0x00, #0x3F, #0x00, #0x3F, #0x55, #0x2A
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0x55, #0x0A
                  .db #0xFF, #0x00, #0x55, #0x0A, #0xFF, #0x00, #0x55, #0x0A
                        ;HumanStartDead
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0x00, #0xE5, #0x00, #0xE5, #0x00, #0xF3, #0x00, #0x0F
                  .db #0x00, #0xE5, #0x00, #0xCF, #0x00, #0xF3, #0x55, #0x0A
                  .db #0x00, #0xE5, #0x00, #0xE5, #0x00, #0xF3, #0x55, #0x0A
                  .db #0x00, #0xE5, #0x00, #0xCE, #0x00, #0x1F, #0x55, #0x0A
                  .db #0x00, #0xE4, #0x00, #0xCF, #0x00, #0x1F, #0x00, #0x0F
                  .db #0xAA, #0x50, #0x00, #0xF1, #0x00, #0x4F, #0x55, #0xA2
                  .db #0x00, #0xF3, #0x00, #0xF3, #0x00, #0xF3, #0x00, #0xF3

            _mSkeleton:
                        ;SkeletonShield
                  .db #0xFF, #0x00, #0x00, #0x3A, #0x55, #0x20, #0xFF, #0x00
                  .db #0xAA, #0x15, #0x00, #0x30, #0x00, #0x30, #0xAA, #0x15
                  .db #0xAA, #0x15, #0x55, #0x20, #0x55, #0x20, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x12, #0x00, #0x3A, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x12, #0x00, #0x30, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x17, #0x55, #0x2A, #0x00, #0x30
                  .db #0xAA, #0x01, #0x00, #0x3A, #0x55, #0x20, #0xAA, #0x01
                  .db #0xAA, #0x10, #0xFF, #0x00, #0xAA, #0x10, #0xFF, #0x00
                        ;SkeletonShieldDown
                  .db #0xFF, #0x00, #0x00, #0x30, #0x55, #0x20, #0xFF, #0x00
                  .db #0xAA, #0x10, #0x00, #0x30, #0x00, #0x30, #0xAA, #0x15
                  .db #0xAA, #0x10, #0xAA, #0x10, #0xAA, #0x10, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x17, #0x55, #0x20, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x12, #0x00, #0x30, #0xAA, #0x15
                  .db #0x00, #0x03, #0x00, #0x17, #0x55, #0x2A, #0x00, #0x30
                  .db #0xAA, #0x01, #0x00, #0x30, #0x55, #0x20, #0xAA, #0x01
                  .db #0xAA, #0x10, #0xFF, #0x00, #0xAA, #0x10, #0xFF, #0x00
                        ;SkeletonShieldLeft
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x00, #0x35, #0xFF, #0x00
                  .db #0x55, #0x2A, #0x00, #0x30, #0x00, #0x30, #0x55, #0x2A
                  .db #0x55, #0x2A, #0xAA, #0x10, #0xAA, #0x10, #0x55, #0x2A
                  .db #0x55, #0x2A, #0x00, #0x35, #0x00, #0x21, #0x00, #0x03
                  .db #0x00, #0x3A, #0xAA, #0x10, #0x00, #0x21, #0x00, #0x03
                  .db #0x55, #0x20, #0x00, #0x35, #0x00, #0x2B, #0x00, #0x03
                  .db #0x55, #0x02, #0xAA, #0x10, #0x00, #0x35, #0x55, #0x02
                  .db #0xFF, #0x00, #0x55, #0x20, #0xAA, #0x10, #0xFF, #0x00
                        ;SkeletonShieldUp
                  .db #0x55, #0x2A, #0xAA, #0x10, #0x00, #0x30, #0xFF, #0x00
                  .db #0x55, #0x2A, #0x00, #0x30, #0x00, #0x30, #0x55, #0x20
                  .db #0x55, #0x2A, #0x00, #0x30, #0x00, #0x30, #0x55, #0x20
                  .db #0x55, #0x2A, #0xAA, #0x10, #0x00, #0x30, #0x00, #0x03
                  .db #0x55, #0x20, #0x00, #0x30, #0x00, #0x30, #0x00, #0x21
                  .db #0x00, #0x12, #0xAA, #0x15, #0x00, #0x3F, #0x00, #0x03
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x00, #0x30, #0x55, #0x02
                  .db #0xFF, #0x00, #0x55, #0x20, #0xFF, #0x00, #0x55, #0x20
                        ;SkeletonShieldDead
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x30, #0x55, #0x20, #0xAA, #0x10
                  .db #0xAA, #0x10, #0x00, #0x30, #0x00, #0x30, #0xAA, #0x15
                  .db #0xAA, #0x10, #0xAA, #0x10, #0xAA, #0x10, #0xAA, #0x15
                  .db #0x55, #0x20, #0x00, #0x30, #0x55, #0x20, #0xAA, #0x15
                  .db #0x00, #0x30, #0xFF, #0x00, #0xAA, #0x10, #0x00, #0x35
                  .db #0x00, #0x03, #0x00, #0x12, #0xAA, #0x10, #0xAA, #0x01

            _mTiramocoSprites:
                        ;Zombie
                  .db #0xFF, #0x00, #0x00, #0x3F, #0x55, #0x2A, #0xFF, #0x00
                  .db #0xAA, #0x15, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xEE, #0x00, #0xEE, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x4F, #0x00, #0x0F, #0x55, #0x8A
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x55, #0x0A, #0xAA, #0x05, #0xFF, #0x00
                        ;ZombieDown
                  .db #0xFF, #0x00, #0x00, #0x3F, #0x55, #0x2A, #0xFF, #0x00
                  .db #0xAA, #0x15, #0x00, #0xFF, #0x00, #0xBF, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xDD, #0x00, #0xDD, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xAA, #0x45, #0x00, #0x0F, #0x00, #0x4F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0xFF, #0x00, #0xAA, #0x05, #0xFF, #0x00
                        ;ZombieLeft
                  .db #0xFF, #0x00, #0xAA, #0x15, #0x00, #0x3F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xFF, #0x00, #0xFF, #0x55, #0x2A
                  .db #0xFF, #0x00, #0x00, #0xDD, #0x00, #0xDD, #0x55, #0xAA
                  .db #0xFF, #0x00, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xAA, #0x45, #0x00, #0x0F, #0x00, #0x8F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x55, #0x0A, #0xAA, #0x05, #0xFF, #0x00
                        ;ZombieUp
                  .db #0xFF, #0x00, #0x00, #0x3F, #0x55, #0x2A, #0xFF, #0x00
                  .db #0xAA, #0x15, #0x00, #0xFF, #0x00, #0xBF, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xFF, #0x00, #0xFF, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0x0F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0xFF, #0x00, #0xAA, #0x05, #0xFF, #0x00
                        ;ZombieDead
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xAA, #0x55, #0x00, #0xDD, #0x00, #0xF3, #0x00, #0x0F
                  .db #0x00, #0x7F, #0x00, #0xFF, #0x00, #0xF3, #0x55, #0x0A
                  .db #0x00, #0x7F, #0x00, #0xDD, #0x00, #0x0F, #0x55, #0x0A
                  .db #0x00, #0x7B, #0x00, #0xFF, #0x00, #0x5B, #0x00, #0x0F
                  .db #0xAA, #0x15, #0x00, #0xF3, #0x00, #0xF3, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x51, #0x00, #0xF3, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x51, #0x00, #0xF3, #0xFF, #0x00

            _mMurcielagoSprites:
                        ;Bat
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xAA, #0x50
                  .db #0xAA, #0x50, #0xAA, #0x50, #0xAA, #0x50, #0x00, #0xF0
                  .db #0x00, #0xB5, #0x00, #0xB5, #0x00, #0xF0, #0x00, #0xF0
                  .db #0x00, #0xE4, #0x00, #0x6E, #0x00, #0x7A, #0x55, #0xA0
                  .db #0x00, #0xB5, #0x00, #0x3F, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xAA, #0x15, #0x00, #0x3F, #0x55, #0xA0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xF0, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x55, #0xA0, #0xFF, #0x00
                        ;BatDown
                  .db #0x55, #0xA0, #0xFF, #0x00, #0xFF, #0x00, #0xAA, #0x50
                  .db #0x00, #0xF0, #0xAA, #0x50, #0x55, #0xA0, #0x00, #0xF0
                  .db #0x00, #0xF0, #0x00, #0xB5, #0x00, #0x7A, #0x00, #0xF0
                  .db #0xAA, #0x50, #0x00, #0x9D, #0x00, #0x6E, #0x55, #0xA0
                  .db #0xFF, #0x00, #0x00, #0x3F, #0x00, #0x3F, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xB5, #0x00, #0x7A, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x55, #0xA0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                        ;BatLeft
                  .db #0x55, #0xA0, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0x00, #0xF0, #0x55, #0xA0, #0x55, #0xA0, #0x55, #0xA0
                  .db #0x00, #0xF0, #0x00, #0xF0, #0x00, #0x7A, #0x00, #0x7A
                  .db #0xAA, #0x50, #0x00, #0xB5, #0x00, #0x9D, #0x00, #0xD8
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x00, #0x3F, #0x00, #0x7A
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x00, #0x3F, #0x55, #0x2A
                  .db #0xFF, #0x00, #0xFF, #0x00, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x55, #0xA0, #0xFF, #0x00
                        ;BatUp
                  .db #0x55, #0xA0, #0xFF, #0x00, #0xFF, #0x00, #0xAA, #0x50
                  .db #0x00, #0xF0, #0xAA, #0x50, #0x55, #0xA0, #0x00, #0xF0
                  .db #0x00, #0xF0, #0x00, #0xF0, #0x00, #0xF0, #0x00, #0xF0
                  .db #0xAA, #0x50, #0x00, #0xF0, #0x00, #0xF0, #0x55, #0xA0
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xF0, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x55, #0xA0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                        ;BatDead
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x50, #0x00, #0xF0, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0xB5, #0x00, #0x7A, #0xFF, #0x00
                  .db #0xAA, #0x50, #0x00, #0xB7, #0x00, #0x7A, #0x55, #0xA0
                  .db #0x00, #0xF0, #0x00, #0xB7, #0x00, #0xD8, #0x00, #0xF0
                  .db #0x00, #0xF0, #0x00, #0xF3, #0x00, #0xF3, #0x00, #0xF0
                  .db #0x55, #0xA0, #0x00, #0xF3, #0x00, #0xF3, #0x00, #0xF2

            _mTileSprites:
                        ;EMPTY
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F
                        ;CaveGround
                  .db #0x52, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xA1, #0xF0, #0x52
                  .db #0xA1, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0x03, #0xF0
                  .db #0x52, #0x52, #0xF0, #0xA1
                  .db #0xF0, #0xF0, #0xA1, #0xF0
                  .db #0xA1, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0x52, #0xA1
                        ;CaveWall
                  .db #0xB5, #0x3F, #0x3F, #0x7A
                  .db #0x7A, #0x3F, #0x3F, #0xB5
                  .db #0x3F, #0xB5, #0xF0, #0xB5
                  .db #0x3F, #0xF0, #0xB5, #0xB5
                  .db #0x7A, #0x7A, #0x3F, #0x7A
                  .db #0xB5, #0x3F, #0xB5, #0x7A
                  .db #0xB5, #0x7A, #0xB5, #0xB5
                  .db #0x7A, #0xB5, #0x7A, #0x3F
                  
            _mTileTransition:
                  .db #0xB5, #0x3F, #0x3F, #0x7A
                  .db #0x7A, #0x3F, #0x3F, #0xB5
                  .db #0x3F, #0xB5, #0xF0, #0xB5
                  .db #0x3F, #0xF0, #0xA1, #0xB5
                  .db #0x7A, #0x52, #0x03, #0x52
                  .db #0xA1, #0x03, #0xA1, #0x52
                  .db #0xA1, #0x52, #0xA1, #0xA1
                  .db #0x52, #0xA1, #0x52, #0x03

            _mMocoSprite:
                        ;Moco
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x05, #0xFF, #0x00, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x00, #0x5F, #0x00, #0x0F, #0xFF, #0x00
                  .db #0xAA, #0x05, #0x00, #0xFF, #0x00, #0xFF, #0x55, #0x0A
                  .db #0xAA, #0x05, #0x00, #0xFF, #0x00, #0xFF, #0x55, #0x0A
                  .db #0xFF, #0x00, #0x00, #0x5F, #0x00, #0xAF, #0xFF, #0x00
                  .db #0xAA, #0x05, #0xAA, #0x05, #0x55, #0x0A, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xFF, #0x00, #0xFF, #0x00, #0x55, #0x0A
                        
            _mVestSprite:
                         ;VestSprite
                  .db #0xF1, #0x7A, #0xB5, #0xF2
                  .db #0xF3, #0x3F, #0x3F, #0xF3
                  .db #0xF3, #0xB7, #0x7B, #0xF3
                  .db #0x7B, #0xF3, #0xF3, #0xB7
                  .db #0xF0, #0xF3, #0xF3, #0xF0
                  .db #0xF0, #0xF3, #0xF3, #0xF0
                  .db #0xF0, #0x7B, #0xB7, #0xF0
                  .db #0xF0, #0xB5, #0x7A, #0xF0

            _mLadderSprite:
                        ;Ladder
                  .db #0xAA, #0x50, #0x55, #0x8A, #0xAA, #0x50, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x55, #0x8A, #0xAA, #0x50, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x00, #0xCF, #0x00, #0xCF, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x55, #0x8A, #0xAA, #0x50, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x00, #0xCF, #0x00, #0xCF, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x55, #0x8A, #0xAA, #0x50, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x00, #0xCF, #0x00, #0xCF, #0x55, #0x8A
                  .db #0xAA, #0x50, #0x55, #0x8A, #0xAA, #0x50, #0x55, #0x8A

            _mPotionSprite:
                  ;PotionGreen
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x55, #0x20, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x55, #0x20, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x55, #0x20, #0xFF, #0x00
                  .db #0xFF, #0x00, #0x55, #0x20, #0xAA, #0x10, #0xFF, #0x00
                  .db #0xAA, #0x10, #0x00, #0xFF, #0x00, #0xAF, #0x55, #0x20
                  .db #0xAA, #0x10, #0x00, #0xFF, #0x00, #0x0F, #0x55, #0x20
                  .db #0xFF, #0x00, #0x00, #0x25, #0x00, #0x1A, #0xFF, #0x00
                  .db #0xFF, #0x00, #0xAA, #0x10, #0x55, #0x20, #0xFF, #0x00

            _mCharacterDataBar0:
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52
                  .db #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A

            _mCharacterDataBar1:
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xA1, #0xF0
                  .db #0xF0, #0x52
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xF0, #0x52
                  .db #0xA1, #0x52
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xF0, #0x52
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xA1, #0xF0
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xA1, #0x52
                  .db #0xF0, #0xF0
                  .db #0xA1, #0x52
                  .db #0xF0, #0x52
                  .db #0xA1, #0x52
                  .db #0xF0, #0xF0

            _mCharacterDataBar2:
                  .db #0xF0, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xF0, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52
                  .db #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0xF0, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0xA1, #0xA1, #0xF0, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0xA1, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0

            _mCharacterDataBar3:
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x52, #0xB5
                  .db #0xF0, #0xA1, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x52, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xA1, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0xA1, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x52, #0xB5
                  .db #0xF0, #0xF0, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0x03, #0xB5
                  .db #0xF0, #0xF0, #0xB5

            /*_mCharacterDataBar:
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52,#0x03, #0xA1, #0x52, #0x03, #0xA1,#0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x52, #0xA1, #0x52, #0x03,#0xA1, #0xF0, #0x03, #0xA1, #0x52,#0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52, #0xA1, #0x52,#0x03, #0xF0, #0x52, #0x03, #0xF0,#0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03,#0xA1, #0xF0, #0x03, #0xF0, #0x52,#0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52,#0x03, #0xA1, #0xF0, #0x03, #0xA1,#0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52
                  .db #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03,#0xA1, #0x52, #0x03, #0xA1, #0xF0,#0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A
                  .db #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0
                  .db #0xF0, #0x52, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0xA1, #0xB5, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xB5,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0xA1, #0xF0
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0x7A, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xF0, #0x52
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xF0, #0xF0
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0xB5, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0xF0, #0xB5, #0x3F, #0xF0, #0x3F, #0x7A, #0xF0,#0x7A, #0x3F, #0xB5, #0x7A, #0xB5,#0xB5, #0xB5, #0x7A, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xF0, #0xF0
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0xB5, #0x7A, #0x3F, #0xB5, #0xB5, #0x3F,#0x7A, #0x3F, #0xB5, #0xB5, #0x3F,#0xB5, #0xB5, #0xB5, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x7A, #0x3F, #0xB5, #0xB5, #0xF0,#0x7A, #0x3F, #0xB5, #0xF0, #0x3F,#0xB5, #0xB5, #0xB5, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xB5,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0xF0, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x7A, #0x3F, #0xB5, #0xB5, #0x7A,#0x7A, #0x3F, #0xB5, #0xB5, #0x3F,#0xB5, #0xB5, #0xB5, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x7A, #0x3F, #0xF0, #0x3F, #0x7A, #0xF0,#0x3F, #0xF0, #0x3F, #0x7A, #0xB5,#0xB5, #0xB5, #0x7A, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0xF0, #0xF0
                  .db #0xF0, #0x52, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  .db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0xA1, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0xF0, #0x52
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xB5,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0xF0, #0xF0
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0xF0
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0xF0, #0xB5, #0xB5, #0xB5, #0xF0,#0xB5, #0xB5, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xF0, #0xF0
                  .db #0xF0, #0xA1, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0xB5, #0x3F, #0xB5, #0xB5, #0xB5,#0x3F, #0xB5, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0xF0, #0x3F, #0xB5, #0xB5, #0xF0,#0x3F, #0xB5, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0x52, #0xB5, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0x7A, #0x3F, #0x3F, #0xB5, #0x3F, #0xB5, #0xB5, #0xB5,#0x3F, #0xB5, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0xA1, #0x52
                  .db #0xF0, #0xF0, #0xB5, #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x7A, #0xF0, #0xB5, #0xF0, #0xB5, #0xF0, #0x3F, #0xF0,#0xB5, #0xF0, #0xB5, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  .db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xB5,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0x3F, #0xF0, #0xF0
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  .db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0xF0, #0x52
                  .db #0xF0, #0x03, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0xA1, #0x52
                  .db #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  .db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F,#0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0
                  .db #0xF0, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52,#0x03, #0xA1, #0x52, #0xF0, #0xA1,#0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52
                  .db #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x52,#0xA1, #0x52, #0x52, #0xA1, #0x52,#0x03, #0xF0, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0xF0, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52,#0xA1, #0xA1, #0x52, #0x03, #0xA1,#0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0x52, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03,#0xA1, #0x52, #0x03, #0xA1, #0x52,#0x03, #0xF0, #0x52, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0x3F, #0x7A, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52,#0x03, #0xA1, #0x52, #0x03, #0xA1,#0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x52, #0xA1, #0x52, #0x03
                  .db #0xA1, #0x52, #0xA1, #0xA1, #0xF0, #0x03, #0xA1, #0xF0, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0xA1, #0xA1, #0x52, #0x03,#0xA1, #0x52, #0xA1, #0xA1, #0x52,#0x03, #0xA1, #0x52, #0x03, #0xA1, #0x52, #0x03, #0xF0, #0x52, #0xA1, #0xA1, #0x52, #0x3F, #0x7A
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
                  .db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0,#0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0
            
            _mCavebolaTitle:
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0xF3, #0x03, #0x3F, #0x2B, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0xA3, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x2B, #0x53, #0xF0, #0xA3, #0x03, #0x03, #0xA3, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x53, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0x03
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xF0, #0xF1, #0x03, #0x52, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x52, #0xA3
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x03, #0xF0, #0xF0, #0xF0, #0xF3, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0xF0, #0xA1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x2B, #0x52, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xA3, #0x3F, #0x2B, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x53, #0xF0, #0xF1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x03, #0xF2, #0xF0, #0xF0, #0xF0, #0xF0, #0xF1, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x53, #0xF0, #0xA1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x2B, #0x53, #0xA1, #0xF3, #0xF0, #0xF0, #0xF0, #0xA3, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0xF0, #0xA1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x2B, #0x52, #0x03, #0x03, #0x53, #0xF3, #0xA3, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xF1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x03, #0xF0, #0x17, #0x2B, #0x03, #0x03, #0x03, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x53, #0xF1, #0x17, #0x03, #0xF0, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x2B, #0x52, #0xA1, #0x17, #0x53, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x2B, #0xF2, #0xA1, #0x3F, #0x53, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA1, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x2B, #0xF2, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0x03, #0x03, #0x3F, #0x03, #0x03, #0x03, #0xF3, #0xA3, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA1, #0x03, #0x17, #0x3F, #0x3F, #0x2B, #0x03, #0x17, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x03, #0x3F, #0x3F
                  ;.db #0x2B, #0xF2, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x53, #0xF1, #0x03, #0x2B, #0x53, #0xA1, #0x53, #0xF0, #0xF1, #0x17, #0x3F, #0x03, #0x03, #0x17, #0x2B, #0xF0, #0xA1, #0x53, #0x03, #0x3F, #0x3F, #0x03, #0xF3, #0x03, #0x3F, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x3F, #0x03, #0xF2, #0xA3, #0x3F, #0x3F
                  ;.db #0x2B, #0xF0, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0xF2, #0xF0, #0xA3, #0x03, #0xF2, #0xF1, #0x52, #0xF0, #0xF0, #0x17, #0x2B, #0x53, #0xF1, #0x17, #0x2B, #0xF2, #0xA1, #0xF0, #0xA3, #0x17, #0x3F, #0x53, #0xF0, #0xA1, #0x17, #0x2B, #0xF0, #0xA3
                  ;.db #0x3F, #0x3F, #0x2B, #0x53, #0xF0, #0xA1, #0x17, #0x3F
                  ;.db #0x03, #0xF0, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x53, #0xF0, #0xF0, #0xF1, #0x03, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x17, #0x2B, #0xF2, #0xF1, #0x17, #0x2B, #0xF2, #0xF1, #0xF0, #0xA1, #0x17, #0x2B, #0x52, #0xF0, #0xF0, #0x03, #0x2B, #0xF0, #0xA1
                  ;.db #0x3F, #0x3F, #0x03, #0xF2, #0xF0, #0xF0, #0x17, #0x3F
                  ;.db #0x53, #0xF0, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x2B, #0x52, #0xF3, #0xF0, #0xF1, #0x03, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x03, #0x03, #0xF0, #0xF0, #0x03, #0x2B, #0xF0, #0xF0, #0xF0, #0xF1, #0x17, #0x03, #0xF0, #0xF0, #0xF0, #0xA3, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x3F, #0x53, #0xF1, #0xF2, #0xF0, #0x17, #0x3F
                  ;.db #0x53, #0xF0, #0xA3, #0x3F, #0x52, #0xF0, #0x17, #0x3F, #0x3F, #0x3F, #0x03, #0xF0, #0x03, #0xF2, #0xF0, #0x03, #0xF0, #0xF0, #0xF0, #0xF2, #0xF0, #0xA3, #0x53, #0xF0, #0xF0, #0xA3, #0x2B, #0xF2, #0xF0, #0xF0, #0xF1, #0x17, #0x53, #0xF1, #0xF0, #0xF0, #0xA3, #0x03, #0xF0, #0xA3
                  ;.db #0x3F, #0x2B, #0x52, #0xA3, #0x52, #0xF0, #0x17, #0x3F
                  ;.db #0x53, #0xF0, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x3F, #0x53, #0xF1, #0x03, #0xF0, #0xF1, #0x03, #0xF2, #0xF0, #0xA1, #0x53, #0xF0, #0x03, #0x52, #0xF1, #0xF0, #0xA1, #0x03, #0xF2, #0xA1, #0x52, #0xF0, #0x03, #0x52, #0xA1, #0x52, #0xF0, #0xA1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x2B, #0xF0, #0x03, #0x53, #0xF0, #0x17, #0x3F
                  ;.db #0x53, #0xF0, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x2B, #0x53, #0xA1, #0x03, #0x52, #0xF1, #0x03, #0x53, #0xF0, #0xA3, #0x2B, #0xF0, #0x03, #0xF2, #0x03, #0xF0, #0xF1, #0x03, #0xF0, #0xA1, #0x53, #0xF0, #0x03, #0xF2, #0xA3, #0x03, #0xF0, #0xF1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x03, #0xF1, #0x17, #0x53, #0xF0, #0x03, #0x3F
                  ;.db #0x17, #0xF0, #0xA1, #0x3F, #0x52, #0xF1, #0x17, #0x3F, #0x3F, #0x2B, #0x52, #0xA3, #0x3F, #0x52, #0xF1, #0x17, #0x53, #0xF0, #0xA3, #0x2B, #0xF0, #0x03, #0xF0, #0x03, #0xF2, #0xF1, #0x03, #0xF2, #0xA1, #0x53, #0xF0, #0x03, #0xF2, #0x03, #0x2B, #0xF2, #0xF1, #0x03, #0xF0, #0xA3
                  ;.db #0x3F, #0x53, #0xF1, #0x17, #0x53, #0xF0, #0xA3, #0x3F
                  ;.db #0x53, #0xF0, #0xA1, #0x17, #0x52, #0xA1, #0x17, #0x3F, #0x3F, #0x2B, #0xF2, #0xA3, #0x2B, #0x52, #0xF1, #0x17, #0x03, #0xF0, #0xA1, #0x2B, #0xF1, #0x03, #0xF1, #0x17, #0x52, #0xF1, #0x03, #0xF2, #0xA1, #0x03, #0xF0, #0xA3, #0xF2, #0x17, #0x2B, #0x53, #0xF1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xA1, #0x17, #0x53, #0xF0, #0x03, #0x3F
                  ;.db #0x03, #0xF0, #0xF1, #0x17, #0x52, #0xA3, #0x3F, #0x3F, #0x3F, #0x2B, #0xF2, #0xA3, #0x2B, #0xF2, #0xF1, #0x17, #0x2B, #0xF0, #0xA1, #0x2B, #0xA1, #0x53, #0xF1, #0x17, #0x52, #0xA1, #0x03, #0xF0, #0xA1, #0x2B, #0xF0, #0xA3, #0xF0, #0x17, #0x3F, #0x53, #0xF1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xA1, #0x3F, #0x53, #0xF0, #0xA3, #0x3F
                  ;.db #0x2B, #0xF0, #0xF0, #0x03, #0xF3, #0x17, #0x3F, #0x3F, #0x2B, #0x2B, #0xF2, #0xA3, #0x2B, #0x52, #0xF1, #0x17, #0x2B, #0xF2, #0xF1, #0x53, #0xA3, #0x53, #0xF1, #0x03, #0xF2, #0x03, #0x03, #0xF2, #0xA1, #0x2B, #0xF2, #0xA3, #0xF0, #0x03, #0x3F, #0x03, #0xF0, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xA1, #0x3F, #0x53, #0xF0, #0x03, #0x3F
                  ;.db #0x2B, #0xF0, #0xF0, #0xA3, #0x2B, #0x17, #0x3F, #0x3F, #0x03, #0x03, #0xF2, #0xA3, #0x2B, #0xF0, #0xF1, #0x17, #0x2B, #0xF2, #0xF1, #0x53, #0xA3, #0x53, #0xF0, #0x03, #0xF1, #0x17, #0x2B, #0xF2, #0xA1, #0x2B, #0xF2, #0xA3, #0xF0, #0xA3, #0x3F, #0x2B, #0xF1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xA1, #0x3F, #0x53, #0xF0, #0xA3, #0x3F
                  ;.db #0x2B, #0xF2, #0xF0, #0xA1, #0x17, #0x3F, #0x3F, #0x2B, #0x53, #0x03, #0xF0, #0xA3, #0x03, #0xF2, #0xF1, #0x17, #0x2B, #0x52, #0xF0, #0x52, #0x17, #0x53, #0xF0, #0xF3, #0xA3, #0x17, #0x2B, #0xF0, #0xA1, #0x2B, #0xF2, #0x03, #0xF0, #0xA3, #0x3F, #0x2B, #0xF1, #0x03, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xA1, #0x17, #0x53, #0xF0, #0x03, #0x3F
                  ;.db #0x2B, #0xF2, #0xF0, #0xF0, #0x03, #0x17, #0x03, #0x03, #0xF2, #0x03, #0xF2, #0xF0, #0x03, #0x52, #0xF0, #0x03, #0x3F, #0x52, #0xF0, #0xF3, #0x17, #0x03, #0xF0, #0xF0, #0x03, #0x3F, #0x2B, #0xF0, #0xA1, #0x2B, #0xF0, #0x03, #0xF2, #0xA1, #0x17, #0x03, #0xF1, #0x53, #0xF0, #0x03
                  ;.db #0x3F, #0x52, #0xF1, #0x03, #0x53, #0xF0, #0xA3, #0x17
                  ;.db #0x2B, #0x52, #0xF0, #0xF0, #0xF1, #0x03, #0x03, #0x53, #0xF0, #0x03, #0xF2, #0xF1, #0x03, #0xF2, #0xF0, #0xA1, #0x17, #0x53, #0xF0, #0xA1, #0x17, #0x2B, #0xF0, #0xF1, #0x17, #0x3F, #0x2B, #0xF0, #0xA1, #0x03, #0xF0, #0x03, #0xF2, #0xF1, #0x17, #0x53, #0xA1, #0x53, #0xF0, #0xA3
                  ;.db #0x3F, #0x52, #0xF0, #0xA3, #0x52, #0xF0, #0xF1, #0x17
                  ;.db #0x3F, #0x53, #0xF0, #0xF0, #0xF0, #0xF1, #0xF2, #0xF0, #0xA1, #0x03, #0xF2, #0xF0, #0xF1, #0xF0, #0xF0, #0xF1, #0x17, #0x53, #0xF0, #0xA1, #0x3F, #0x2B, #0xF0, #0xF0, #0x03, #0x03, #0x03, #0xF0, #0xF1, #0x53, #0xA1, #0x03, #0xF2, #0xF0, #0xA3, #0x53, #0xA3, #0x53, #0xF0, #0xA3
                  ;.db #0x03, #0x52, #0xF0, #0xF1, #0xF2, #0xF0, #0xA1, #0x17
                  ;.db #0x3F, #0x03, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xA3, #0x03, #0x52, #0xF0, #0xF0, #0xF0, #0xF0, #0xA1, #0x17, #0x53, #0xF0, #0xA3, #0x3F, #0x2B, #0xF0, #0xF0, #0xF1, #0xF3, #0xA3, #0xF0, #0xF0, #0xF0, #0xA3, #0x2B, #0x52, #0xF0, #0xF0, #0xF2, #0x03, #0x53, #0xF0, #0xF1
                  ;.db #0xA3, #0x53, #0xF0, #0xF0, #0xF0, #0xF0, #0xF1, #0x17
                  ;.db #0x3F, #0x2B, #0x52, #0xF0, #0xF0, #0xF0, #0xF0, #0xA1, #0x03, #0x2B, #0x52, #0xF0, #0xF0, #0xF3, #0xF0, #0xA1, #0x3F, #0x03, #0xF0, #0xA3, #0x3F, #0x2B, #0xF2, #0xF0, #0xF0, #0xF0, #0xA3, #0xF2, #0xF0, #0xF1, #0x03, #0x3F, #0x53, #0xF0, #0xF0, #0xF1, #0x17, #0x53, #0xF0, #0xF0
                  ;.db #0xA3, #0x53, #0xF0, #0xF0, #0xA1, #0xF0, #0xF1, #0x17
                  ;.db #0x3F, #0x3F, #0x03, #0xF0, #0xF0, #0xF0, #0xF1, #0x03, #0x3F, #0x3F, #0x03, #0xF0, #0xA1, #0x03, #0xF2, #0xA3, #0x3F, #0x2B, #0xF2, #0x03, #0x3F, #0x2B, #0x52, #0xF0, #0xF0, #0xF0, #0x03, #0x53, #0xF0, #0xF1, #0x17, #0x3F, #0x03, #0xF2, #0xF0, #0xA1, #0x17, #0x03, #0xF0, #0xF0
                  ;.db #0x03, #0x03, #0xF2, #0xF0, #0xA3, #0x52, #0xA1, #0x17
                  ;.db #0x3F, #0x3F, #0x2B, #0x53, #0xF3, #0xF3, #0x03, #0x17, #0x3F, #0x3F, #0x2B, #0x03, #0x03, #0x2B, #0x53, #0x03, #0x3F, #0x2B, #0xF3, #0x17, #0x3F, #0x3F, #0x03, #0xF0, #0xF0, #0xF1, #0x17, #0x03, #0xF0, #0xA3, #0x17, #0x3F, #0x2B, #0x52, #0xF0, #0xA3, #0x3F, #0x2B, #0x52, #0xF1
                  ;.db #0x03, #0x2B, #0x53, #0xF3, #0x17, #0x53, #0xA3, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x03, #0x03, #0x03, #0x17, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0x17, #0x3F, #0x2B, #0x03, #0x17, #0x3F, #0x3F, #0x2B, #0x53, #0xF3, #0x03, #0x17, #0x2B, #0x53, #0x03, #0x3F, #0x3F, #0x3F, #0x03, #0xF3, #0x03, #0x3F, #0x3F, #0x53, #0xA3
                  ;.db #0x17, #0x3F, #0x03, #0x03, #0x17, #0x03, #0x03, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x03, #0x03, #0x17, #0x3F, #0x2B, #0x03, #0x17, #0x3F, #0x3F, #0x3F, #0x2B, #0x03, #0x17, #0x3F, #0x3F, #0x03, #0x03
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F

            _mHumanSkeletonTitle:
                  ;.db #0x7B, #0xB7, #0xB7, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3A, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x7B, #0xF3, #0xB7, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0x3F, #0x30, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x7B, #0xCF, #0xB7, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x30, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x7B, #0xCF, #0xB7, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x30, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x7B, #0xF3, #0xB7, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x30, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF3, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x3A, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x3A, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0x3F, #0x3F, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0x3F, #0x3F, #0x3F, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0x3F, #0x3F, #0x7A, #0xF0, #0x70, #0xF0, #0x3F, #0x30, #0x70, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0xB5, #0x3F, #0xF0, #0xF0, #0x30, #0xF0, #0xB0, #0x30, #0x7A, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x7A, #0xB5, #0x7A, #0xF0, #0xF0, #0xB0, #0x30, #0x30, #0x3A, #0x70, #0x7A, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x35, #0x3F, #0xB5, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x30, #0x70, #0xB5, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0xF0, #0xF0, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3A, #0x7A, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x7A, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x30, #0x70, #0xB5, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x35, #0x3F, #0xB5, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3A, #0x70, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xB5, #0x3A, #0x70, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x30, #0x70, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x30, #0x70, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x30, #0x70, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xF0, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x3F, #0xB5, #0x3F, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x7A, #0xF0, #0xF0, #0x3F, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0x7A, #0xF0, #0xF0, #0xB5, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x3F, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xB5, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0x3F, #0x7A, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  ;.db #0x3F, #0x3F, #0x3F, #0xF0, #0xF0, #0xB5, #0x3F, #0xF0, #0x3F, #0x35, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xB5, #0xF0, #0x3F, #0x35, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xB5, #0xF0, #0x3F, #0x35, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5
                  ;.db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F
                  ;.db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F
                  ;.db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F
                  ;.db #0x3F, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F
                  ;.db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F
                  ;.db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0x7A, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0xF0, #0xB5, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F
                  ;.db #0xF0, #0xF0, #0xF0, #0xF0, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F, #0x3F*/

      __endasm;
}


#endif