/// @file       utils.h
/// @author     CloseToMetal
/// @version    2.0
/// @date       11/10/2014
///
/// @section    License
///
/// The MIT License (MIT)
/// 
/// Copyright (c) 2014 CloseToMetal
/// 
/// Permission is hereby granted, free of charge, to any person obtaining a copy
/// of this software and associated documentation files (the "Software"), to deal
/// in the Software without restriction, including without limitation the rights
/// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
/// copies of the Software, and to permit persons to whom the Software is
/// furnished to do so, subject to the following conditions:
/// 
/// The above copyright notice and this permission notice shall be included in all
/// copies or substantial portions of the Software.
/// 
/// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
/// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
/// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
/// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
/// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
/// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
/// SOFTWARE.

#ifndef UTILS_H_
#define UTILS_H_

/// @brief		Bit Level Array Getter.
/// @details  	Retrieves the bit in the given position.
/// @param		array The array from where the bit is retrieved.
/// @param		pos Position of the bit to retrieve. 
char getBit(char *array, unsigned int pos);

/// @brief		Bit Level Array Setter.
/// @details  	Sets the bit in the given position to the given value.
/// @param		array The array from where the bit is set.
/// @param		pos Position of the bit to set.
/// @param		value The value for the bit to be set.
void setBit(char *array, unsigned int pos, unsigned int value);

/// @brief		Absolute value.
/// @details 	Obtains the absolute value of a given number.
/// @param		a The number to obtain the absolute value.
/// @return		The absolute value of the number.
char absolute (char a);

void Pause(unsigned char p);

void PrintNumber(unsigned char number, unsigned char x, unsigned char y);

#endif